<nav class="navbar navbar-expand-md navbar-light bg-light fixed-top">
    <a class="navbar-brand" routerLink="/"><h2>SD</h2></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" routerLink="/shopping-cart">
                    Shopping Cart
                <span class="badge badge-warning badge-pill">
                    {{totalQuantity}}
                </span>
                </a>
            </li>
            <ng-template #anonymousUser>
                <li class="nav-item">
                    <a class="nav-link" routerLink="/login">Login</a>
                </li>
            </ng-template>

                <div *ngIf="afAuth.user$ | async as user; else anonymousUser" ngbDropdown class="d-inline-block">
                <a class="nav-link dropdown-toggle" id="dropdownBasic1" ngbDropdownToggle>
                    {{user.displayName}}
                </a>

                <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
                    <button class="dropdown-item" routerLink="/admin/products">Manage Products</button>
                    <button class="dropdown-item" routerLink="/admin/orders">Manage Order</button>
                    <button class="dropdown-item" routerLink="/my/orders">My Orders</button>
                    <button class="dropdown-item" (click)="logout()">Logout</button>
                </div>
            </div>
        </ul>
    </div>
</nav>
